Summary:    A tool for the automatic rotation compression, removal and mailing of log files
Name:       logrotate
Version:    3.21.0
Release:    4%{?dist}
License:    GPLv2+
URL:        https://github.com/logrotate/logrotate
Source0:    https://github.com/logrotate/logrotate/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: acl automake gcc git libacl-devel libselinux-devel make popt-devel systemd-rpm-macros
Requires: coreutils
Requires(post): systemd
Requires(preun): systemd

%description
The logrotate utility is designed to simplify the administration of log 
files on a system which generates a lot of log files. Logrotate allows 
for the automatic rotation compression, removal and mailing of log files. 
Logrotate can be set to handle a log file hourly, daily, weekly, monthly 
or when the log file gets to a certain size.

%prep
%autosetup

%build
autoreconf -fiv
%configure --with-state-file-path=%{_localstatedir}/lib/logrotate/logrotate.status
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_localstatedir}/lib/logrotate
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
install -p -m 644 examples/logrotate.conf %{buildroot}%{_sysconfdir}/
install -p -m 644 examples/{b,w}tmp %{buildroot}%{_sysconfdir}/logrotate.d/

mkdir -p %{buildroot}%{_unitdir}
install -p -m 644 examples/logrotate.{service,timer} %{buildroot}%{_unitdir}/

%check
%make_build check

%pre
if [ ! -d %{_localstatedir}/lib/logrotate/ -a -f %{_localstatedir}/lib/logrotate.status ]; then
  mkdir -p %{_localstatedir}/lib/logrotate
  cp -a %{_localstatedir}/lib/logrotate.status %{_localstatedir}/lib/logrotate
fi

%post
%systemd_post logrotate.{service,timer}

%preun
%systemd_preun logrotate.{service,timer}

%files
%license COPYING
%doc ChangeLog.md
%config(noreplace) %{_sysconfdir}/logrotate.conf
%dir %{_sysconfdir}/logrotate.d
%config(noreplace) %{_sysconfdir}/logrotate.d/{b,w}tmp
%dir %{_localstatedir}/lib/logrotate
%ghost %verify(not size md5 mtime) %attr(0640, root, root) %{_localstatedir}/lib/logrotate/logrotate.status
%{_unitdir}/logrotate.{service,timer}
%{_sbindir}/logrotate
%{_mandir}/man8/logrotate.8*
%{_mandir}/man5/logrotate.conf.5*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.21.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.21.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.21.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Miaojun Dong <zoedong@tencent.com> - 3.21.0-1
- Bump version to 3.21.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.20.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.20.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jun 29 2022 Xiaojie Chen <jackxjchen@tencent.com> - 3.20.1-1
- Initial build
